%global debug_package %{nil}

Name:         poly_pkt_fwd
Version:      2.1.0

Summary:      Lora Gateway packet forwarder with multiple extensions
Group:        System/Libraries
URL:          https://github.com/devttys0/libmpsse
License:      BSD

Source:       %name-%version.tar.gz
Source1:      ttn-gateway.service
%{?systemd_requires}
BuildRequires: libloragw-devel libmpsse systemd
Release: 5%{?dist}

%description
The poly packet forwarder is a program running on the host of a Lora 
Gateway that forward RF packets receive by the concentrator to a server 
through a IP/UDP link, and emits RF packets that are sent by the server.

%prep 
%setup -q -n  poly_pkt_fwd

%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALLDIR=$RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_unitdir}/
install  %SOURCE1 %{buildroot}%{_unitdir}/
mkdir -p %{buildroot}%{_datadir}/ttn

%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc readme.md
%_bindir/poly_pkt_fwd
%config(noreplace) %{_sysconfdir}/packet_forwarder/global_conf.json
%config(noreplace) %{_sysconfdir}/packet_forwarder/local_conf.json
%{_unitdir}/
%attr(-,ttn,ttn) %dir %{_datadir}/ttn

%pre

/usr/bin/getent group ttn>/dev/null || /usr/sbin/groupadd  ttn
/usr/bin/getent passwd ttn >/dev/null || \
        /usr/sbin/useradd  -g ttn  -d %{_datadir}/ttn -r -G dialout \
                -c "ttn user for TTN Lora Gateway packet forwarder" ttn

%post
%systemd_post ttn-gateway.service

%preun
%systemd_preun ttn-gateway.service

%postun
%systemd_postun_with_restart ttn-gateway.service


%changelog
* Wed Aug 09 2017 Aleksei Nikiforov <darktemplar@altlinux.org> 20161223-alt2
- Switched to libftdi1.

